> ## Documentation Index
> Fetch the complete documentation index at: https://docs.peec.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Chat

> Get a single chat



## OpenAPI

````yaml https://api.peec.ai/customer/v1/openapi/json get /chats/{chat_id}/content
openapi: 3.0.3
info:
  title: Peec AI Customer API
  description: Development documentation
  version: 1.0.0
  contact:
    name: Peec AI Team
    email: support@peec.ai
servers:
  - url: https://api.peec.ai/customer/v1
security: []
paths:
  /chats/{chat_id}/content:
    get:
      tags:
        - Project
      summary: Get Chat
      description: Get a single chat
      operationId: getChatsByChat_idContent
      parameters:
        - name: chat_id
          in: path
          required: true
          schema:
            type: string
        - name: project_id
          in: query
          required: false
          schema:
            description: Required if using a company api key
            example: or_f45b94ba-5e35-4982-93ed-285e72ee14eb
            type: string
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    example: ch_61184892-36ad-4e1a-8178-3a83608f7711
                  prompt:
                    type: object
                    properties:
                      id:
                        type: string
                        example: pr_93f790de-5b7a-45ee-b782-61103c81f20d
                    required:
                      - id
                  model:
                    deprecated: true
                    description: 'Deprecated: use model_channel instead'
                    type: object
                    properties:
                      id:
                        type: string
                        example: gpt-4o-search
                    required:
                      - id
                  model_channel:
                    type: object
                    properties:
                      id:
                        type: string
                        example: openai-1
                    required:
                      - id
                  sources:
                    type: array
                    items:
                      type: object
                      properties:
                        url:
                          type: string
                          example: https://peec.ai/blog#header
                        url_normalized:
                          nullable: true
                          example: peec.ai/blog
                          type: string
                        urlNormalized:
                          nullable: true
                          example: peec.ai/blog
                          deprecated: true
                          type: string
                        domain:
                          type: string
                          example: peec.ai
                        citation_count:
                          type: number
                        citationCount:
                          type: number
                          deprecated: true
                        citation_position:
                          type: number
                        citationPosition:
                          type: number
                          deprecated: true
                      required:
                        - url
                        - url_normalized
                        - urlNormalized
                        - domain
                        - citation_count
                        - citationCount
                        - citation_position
                        - citationPosition
                  brands_mentioned:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          example: kw_915e742b-396d-4a86-ad57-8bc84e8c2232
                        name:
                          type: string
                          example: Peec AI
                        position:
                          type: number
                      required:
                        - id
                        - name
                        - position
                  messages:
                    type: array
                    items:
                      type: object
                      properties:
                        role:
                          type: string
                          enum:
                            - user
                            - assistant
                        content:
                          type: string
                      required:
                        - role
                        - content
                    example:
                      - role: user
                        content: Example Prompt
                      - role: assistant
                        content: Example Response
                  queries:
                    type: array
                    items:
                      type: string
                      example: best AI search tools 2026
                  products:
                    type: array
                    items:
                      type: object
                      properties:
                        name:
                          type: string
                          example: Peec AI Pro
                        queries:
                          type: array
                          items:
                            type: string
                            example: buy Peec AI Pro online
                      required:
                        - name
                        - queries
                  features:
                    type: array
                    items:
                      type: string
                      enum:
                        - SHOPPING
                        - PRODUCT_COMPARISON
                        - AD
                        - MAP
                        - WEB_SEARCH
                  maps:
                    type: array
                    items:
                      type: object
                      properties:
                        name:
                          type: string
                          example: J&F Drainage
                        url:
                          example: >-
                            https://www.google.com/maps/dir/?api=1&destination=53.850994%2C-3.009608
                          type: string
                      required:
                        - name
                  ads:
                    type: array
                    items:
                      type: object
                      properties:
                        brand_name:
                          type: string
                          example: Whoop
                        brandName:
                          type: string
                          example: Whoop
                          deprecated: true
                        url:
                          type: string
                          example: https://www.whoop.com/
                        id:
                          example: 697cd903185c819684793d8936700e6f
                          type: string
                        ad_unit_type:
                          example: single_advertiser_ad_unit
                          type: string
                        adUnitType:
                          example: single_advertiser_ad_unit
                          deprecated: true
                          type: string
                        ads_request_id:
                          example: 069eb308-ae3b-7ae5-8000-641914dcb9b0
                          type: string
                        adsRequestId:
                          example: 069eb308-ae3b-7ae5-8000-641914dcb9b0
                          deprecated: true
                          type: string
                        cards:
                          type: array
                          items:
                            type: object
                            properties:
                              title:
                                example: Win Your Routine
                                type: string
                              body:
                                example: Daily guidance for your goals
                                type: string
                              image_url:
                                example: https://bzrcdn.openai.com/<hash>.png
                                type: string
                              imageUrl:
                                example: https://bzrcdn.openai.com/<hash>.png
                                deprecated: true
                                type: string
                              target_url:
                                example: >-
                                  https://join.whoop.com/chatgpt4/?utm_source=chatgpt&utm_medium=cpc
                                type: string
                              targetUrl:
                                deprecated: true
                                example: >-
                                  https://join.whoop.com/chatgpt4/?utm_source=chatgpt&utm_medium=cpc
                                type: string
                      required:
                        - brand_name
                        - brandName
                        - url
                        - cards
                required:
                  - id
                  - prompt
                  - model
                  - model_channel
                  - sources
                  - brands_mentioned
                  - messages
                  - queries
                  - products
                  - features
                  - maps
                  - ads
                description: Success
        '404':
          description: Response for status 404
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                required:
                  - message
      security:
        - APIKeyHeader: []
        - APIKeyQuery: []
        - BearerAuth: []
components:
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key
    APIKeyQuery:
      type: apiKey
      in: query
      name: api_key
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````